apiVersion: apps/v1
kind: Deployment
metadata:
  name: proxy
spec:
  selector:
    matchLabels: {}
  template:
    metadata:
      labels: {}
    spec:
      containers:
        - image: nginx:1.21-alpine
          imagePullPolicy: IfNotPresent
          name: proxy
          ports:
            - containerPort: 80
              name: http
              protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: proxy
spec:
  selector: {}
  ports:
    - port: 80
      name: http
